package tech.techyjessy.Commands;

import java.util.ArrayList;
import java.util.List;

import org.bukkit.OfflinePlayer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import tech.techyjessy.Configuration.WhitelisterFormat;

public class CustomWhitelistCommand implements CommandExecutor {
    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        if (sender instanceof Player) {
            Player player = (Player) sender;

            // Player must be registrar or opped to use this command
            if (WhitelisterFormat.getInstance().IsRegistrar(player.getName()) || player.isOp()) {
                for (String name : args) {
                    // Attempt to construct a player object for each name to add
                    try {
                        sender.getServer().getOfflinePlayer(name).setWhitelisted(true);
                        player.sendMessage("Added " + name + " to the whitelist");
                    } catch (Exception e) {
                        player.sendMessage("Could not add " + name + " to the whitelist. Make sure that's their correct name and have logged in the last 30 days!");
                    }
                }
            } else {
                player.sendMessage("You cannot whitelist people! If you want to become a whitelist registrar please contact a server administrator!");
            }
        }
        return true;
    }
}
